import os

import mutagen
import pytest

from symuid._tag_interface import OggOpus

# pylint: disable=protected-access


@pytest.mark.parametrize('track_name', ['ogg-opus-empty.opus'])
def test_get_track_path(tracks_dir_path, track_name):
    track_path = os.path.join(tracks_dir_path, track_name)
    iface = OggOpus(mutagen.File(track_path))
    assert track_path == iface.track_path
